<?php
include('../config/config.php');
include('../classes/classProduct.php');
include('../classes/classReceiveInvoice.php');
include('../classes/classSaleInvoice.php');
include('../classes/classProductClosingReconcilation.php');

/*echo '<pre>';
print_r($_POST);
echo '</pre>';
exit;*/

$search = $_SESSION['print']['search'];
$sortby = $_SESSION['print']['sortby'];

################################################################################
#########################Pagination Starts here. {########################
################################################################################
try
{
	$retrieveProdOb = new classProduct;
	$count_products = $retrieveProdOb->countActiveProductsThroughFilter($search,$sortby,$_SESSION['security']['org_id']);
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	


$array['item_count'] = $count_products;
if(isset($_GET['page']) && isset($_GET['items']))
{
	if($array['item_count'] > $_GET['items'])
	{
		$array['pages'] = ceil($array['item_count']/$_GET['items']);
		if($_GET['page'] >$array['pages'])
		{
			$_GET['page'] = 1;
		}
		$array['current_page'] = $_GET['page'];
		if($_GET['page'] > 1)
		{
			$starting_record = $_GET['items']*($_GET['page']-1);
			$ending_record = $_GET['items'];
			$array['limit'] = $starting_record . "," . $ending_record;
			$limit = $array['limit'];
		}
		else
		{
			$limit = $_GET['items'];
		}
	}
	else
	{
		$array['current_page'] = $_GET['current_page'] = 1;
		$array['pages'] = 1;
		$array['limit'] = $_GET['items'];
		$limit = $array['limit'];
	}
}
else
{
	if($array['item_count'] > 20)
	{
		$array['pages'] = ceil($array['item_count']/20);
	}
	else
	{
		$array['pages'] = 1;
	}
	$array['current_page'] = 1;
	$array['limit'] = 20;
	$limit = $array['limit'];
}

$_SESSION['pagination']['item_count']=$array['item_count'];
$_SESSION['pagination']['pages']=$array['pages'];
$_SESSION['pagination']['current_page']=$array['current_page'];
$_SESSION['pagination']['limit']=$limit;

################################################################################
######################### Pagination Ends here. }##########################
################################################################################


try
{
	$retrieveProdOb = new classProduct;
	$product_array = $retrieveProdOb->retrieveActiveProductsThroughFilter($search,$sortby,$_SESSION['security']['org_id'],$limit);
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}

try
{
	$singleRepOb = new classProductClosingReconcilation;
	$singleRepOb->setLocationID($_SESSION['security']['location_id']);
	$closing_report_date = $singleRepOb->retrieveLastClosingReport();
	if(isset($closing_report_date[0]['closing_date']))
	{
		$date = date('d M Y',$closing_report_date[0]['closing_date']);
	}
	else
	{
		$date = '';
	}
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}

/*echo '<pre>';
print_r($closing_report_date);
echo '</pre>';
exit;	*/
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><!-- InstanceBegin template="/Templates/print.dwt.php" codeOutsideHTMLIsLocked="false" -->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <link rel="shortcut icon" href="../images/favicon.png">
    <title>Med2TEC Hospital Management Information System</title> 
    <link href="../css/print.css" rel="stylesheet">
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >  
    <script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
	<script type="text/javascript" src="../datepicker/jquery-ui.js"></script> 
</head>

<body> 
<div align="right"> 
 <SCRIPT LANGUAGE="JavaScript">  
if (window.print) {
document.write('<form class="no-print"><input type=button name=print value="Print" onClick="window.print()"></form>');
}
</script></div>

<section class="wrapper">
<div style="background:#FFF; padding:0px 0px 0; height:auto;">
  <table cellspacing="0" cellpadding="0" width="100%" border="0" style="font-size:11px;">
    <tbody>
      <tr>
        <td align="left" style="background:#fff;"><img alt="" src="../images/org_print_logos/<?php echo $_SESSION['security']['org_id']?>.png" style="width:100%;"></td>
      </tr>
    </tbody>
  </table>
  
</br>

</div>

<div class="row">
          <section class="panel">
            <header class="panel-heading">
              <h2><!-- InstanceBeginEditable name="title" -->PRODUCTS SALE REGISTER<!-- InstanceEndEditable --></h2>
            </header>

  <br />
  
<!-- InstanceBeginEditable name="main" -->
  <!-- page start-->
  
  
              <table  class="bottomBorder" cellpadding="0" cellspacing="0" width="100%">
                
                    <thead>
                        <tr>
                            <th width="5%" rowspan="2" align="center">ID</th>
                            <th width="15%" rowspan="2" align="left">Product Name</th>
                            <th width="10%" rowspan="2" align="center">Product Type</th>
                            <th width="10%" rowspan="2" align="center">Qty Last Closing<br>
                            <span style="color:grey;">on <?php echo $date;?></span></th>
                            <th colspan="2" align="center">Products Received</th>
                            <th colspan="2" align="center"> Products Sold</th>
                            <th width="15%" rowspan="2" align="center">Unit Qty<br />in Stock</th>
                           <!-- <th width="8%" rowspan="2" align="center">Unit TradePrice</th>
                            <th width="10%" rowspan="2" align="center">Stock Value</th>-->
                        </tr>
                        <tr>
                            <th width="10%" align="center">Qty</th>
                            <th width="10%" align="center">Trade Value</th>
                            <th width="10%" align="center">Qty</th>
                            <th width="10%" align="center">Retail Value</th>
                        </tr>
                    </thead>
                    
                    <tbody>
                    <?php
					if(isset($product_array[0]['product_id'])&&$product_array[0]['product_id']!='')
					{
						$location_id = $_SESSION['security']['location_id'];
						
						for($p=0;$p<count($product_array);$p++)
						{
							$product_id = $product_array[$p]['product_id'];
							$product_name = $product_array[$p]['product_name'];
							$medicine_type = $product_array[$p]['medicine_type'];
							
							
							$productUnitQtyOb = new classProduct;
							$product_detail_array = $productUnitQtyOb->retrieveProductLocationRelationship($product_id,$_SESSION['security']['location_id']);
							$unit_qtyinstock = $product_detail_array[0]['unit_qtyinstock'];
							
							$lastClosingQtyOb = new classProductClosingReconcilation;
							$lastClosingQtyOb->setProductID($product_id);
							$last_closing_array = $lastClosingQtyOb->retrieveLastClosingQtyOfProduct();
							
							if(isset($last_closing_array[0]['closing_date'])&&$last_closing_array[0]['closing_date']!='')
							{
								$start_time = $last_closing_array[0]['closing_date'];
								$end_time = time();
								
								$lastClosingQty = $last_closing_array[0]['unit_phy_qtyinstock'];
							}
							else
							{
								$start_time = '';
								$end_time = '';
								$lastClosingQty = 0;
							}
							
							$recInvOb = new classReceiveInvoice;
							$receive_items_array = $recInvOb->retrieveSumOfInvoiceItemsByProductID($product_id,$location_id,$start_time,$end_time);
							$rec_unitqty_recieved = $receive_items_array[0]['SUM(unitqty_recieved)'];
							$rec_net_total = $receive_items_array[0]['SUM(net_total)'];
							
							
							$saleInvOb = new classSaleInvoice;
							$sale_items_array = $saleInvOb->retrieveSumOfInvoiceItemsByProductID($product_id,$location_id,$start_time,$end_time);
							$sale_unitsaleqty = $sale_items_array[0]['SUM(unitsaleqty)'];
							$sale_net_total = $sale_items_array[0]['SUM(net_total)'];
							
							?>
							<tr class="gradeX">
								<td align="center"><?php echo $product_id;?></td>
								<td align="left"><?php echo $product_name;?></td>
								<td align="center"><?php echo $medicine_type;?></td>
                                
								<td align="right"><?php echo number_format($lastClosingQty,0);?></td>
                                
								<td align="right"><?php echo number_format($rec_unitqty_recieved,0);?></td>
								<td align="right"><?php echo "Rs. ".number_format($rec_net_total,2);?></td>
								<td align="right"><?php echo number_format($sale_unitsaleqty,0);?></td>
								<td align="right"><?php echo "Rs. ".number_format($sale_net_total,2);?></td>
                                
								<td align="right"><?php echo number_format($unit_qtyinstock,0);?></td>
								<!--<td align="right">Rs. 95.00</td>
								<td align="right">Rs. 95.00</td>-->
							</tr>
							<?php
						}
					}
					?>
                    </tbody>
                    
                  	<tfoot>
                  </tfoot>
                  
                </table>
  <!-- page end-->
  
<!-- InstanceEndEditable -->
</section>
</div>

<!--<p align="center" style="font-size:12px; font-family:Arial, Helvetica, sans-serif; margin-top:260px;"><strong><!--317 A-1, Nursery Stop, Township, Lahore. 
Ph: 042-35151666</strong><br />
For Appointment call at 042-35151666 (bring your Patient ID Card) </p>-->

   <div class="sidepop" style="float:right;">
    <div class="sidepopbutton stemp"><div style="color: rgb(0, 0, 0); text-align: right; font-size: 10px; margin-top: 4px; position: absolute; right: 180px;">© Software by Softusion Inc. 0322 6155 219</div>   
    </div>
</div>

<!--<div class="sidepop" style="float:right;">
    <div class="sidepopbutton stemp"><div style="color:#000; text-align:right; font-size:9px;">© Software designed by Softusion Inc. Contact us at 0322 6155 219</div>   
    </div>
</div>-->


          
</body>
<!-- InstanceEnd --></html>